## com.lowagie.text.html.simpleparser
Class IncTable

    java.lang.Object
      com.lowagie.text.html.simpleparser.IncTable

    public class IncTable

extends java.lang.Object

Author:
  psoares

Field Summary
`private java.util.ArrayList` `cols`
`private java.util.HashMap` `props`
`private java.util.ArrayList` `rows`

Constructor Summary
`IncTable(java.util.HashMap props)` Creates a new instance of IncTable

Method Summary
`void` `addCol(PdfPCell cell)`
`void` `addCols(java.util.ArrayList ncols)`
`PdfPTable` `buildTable()`
`void` `endRow()`
`java.util.ArrayList` `getRows()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### props

    private java.util.HashMap props

### rows

    private java.util.ArrayList rows

### cols

    private java.util.ArrayList cols

Constructor Detail

### IncTable

    public IncTable(java.util.HashMap props)

  Creates a new instance of IncTable

Method Detail

### addCol

    public void addCol(PdfPCell cell)

### addCols

    public void addCols(java.util.ArrayList ncols)

### endRow

    public void endRow()

### getRows

    public java.util.ArrayList getRows()

### buildTable

    public PdfPTable buildTable()